Summary:	Simple application to control the JACK server
Summary(pl.UTF-8):	Prosty program do kontrolowania serwera JACK-a
Name:		qjackctl
Version:	0.4.1
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://downloads.sourceforge.net/qjackctl/%{name}-%{version}.tar.gz
# Source0-md5:	6a0a4245e2b9e470e04009e1d0f29f08
Source1:	%{name}.desktop
URL:		http://qjackctl.sourceforge.net
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5X11Extras-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	jack-audio-connection-kit-devel >= 0.118.3
BuildRequires:	qt5-build
BuildRequires:	qt5-linguist
BuildRequires:	qt5-qmake >= 4.3.3-3
BuildRequires:	sed >= 4.0
Provides:	jack-patch-bay
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qjackctl is a Qt application to control the JACK sound server.
Provides a simple GUI dialog for setting several JACK parameters.

%description -l pl.UTF-8
Qjackctl to program pozwalający kontrolować serwer dźwięku JACK-a.
Posiada proste GUI dla ustawiania poszczególnych parametrów JACK-a.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}

%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -c %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/qjackctl.1*
%{_datadir}/appdata/%{name}.appdata.xml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%changelog
* Thu Dec 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qjackctl.git;a=log;h=master

* Sun Dec 06 2015 Jacek Konieczny <jajcus@jajcus.net> e057218
- Version: 0.4.1

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> 74c60da
- release 2 (by relup.sh)

* Wed Dec 07 2011 Łukasz Krotowski <lkrotowski@pld-linux.org> 01f2761
- up to 0.3.8

* Mon Apr 18 2011 Jan Rękorajski <baggins@pld-linux.org> 58d8b36
- rel 3
- BR jack >= 0.118.3 for session support

* Mon Apr 18 2011 Jan Rękorajski <baggins@pld-linux.org> a28b85a
- rel 2

* Mon Apr 18 2011 Jan Rękorajski <baggins@pld-linux.org> 15ad12a
- BR qtdbus

* Mon Apr 18 2011 Jan Rękorajski <baggins@pld-linux.org> 6f7a90d
- updated to 0.3.7

* Mon Apr 18 2011 Jan Rękorajski <baggins@pld-linux.org> bac8e43
- fix locale files install paths

* Mon Apr 18 2011 Jan Rękorajski <baggins@pld-linux.org> 0886198
- updated translations

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> cbb3254
- rel 5
- fixed desktop categories

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 0c6a42e
- BR: qt4-build

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8db4f35
- release 4

* Sun Jan 06 2008 Elan Ruusamäe <glen@pld-linux.org> 0d6ae33
- rel 3

* Sun Jan 06 2008 twittner <twittner@pld-linux.org> 3e08d6c
- added -qt4.patch - quick fix, which allows to build on sys. with /lib64
- rel. 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 3ec03e6
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun Dec 23 2007 Jakub Bogusz <qboosh@pld-linux.org> fd9e1cf
- sorted BRs

* Sat Dec 22 2007 twittner <twittner@pld-linux.org> c698df8
- up to 0.3.2

* Tue Apr 10 2007 shadzik <shadzik@pld-linux.org> da4c4d9
- qt-devel epoch (still 6)

* Sun Apr 01 2007 twittner <twittner@pld-linux.org> d28bc91
- up to 0.2.22

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ce59054
- tabs in preamble

